Home
last modified time | relevance | path

Searched refs:exitcode (Results 1 – 25 of 79) sorted by relevance

1234

/openbmc/linux/tools/testing/selftests/x86/
H A Dtest_syscall_vdso.c325 int exitcode = 0; in run_syscall_twice() local
330 exitcode = run_syscall(); in run_syscall_twice()
335 exitcode += run_syscall(); in run_syscall_twice()
337 return exitcode; in run_syscall_twice()
378 int exitcode = 0; in main() local
394 exitcode += run_syscall_twice(); in main()
396 exitcode += run_syscall_twice(); in main()
398 return exitcode; in main()
/openbmc/openbmc/poky/meta/recipes-core/ifupdown/files/
H A Dtweak-ptest-script.patch30 exitcode=0
33 >$dir/up-res-out.$test 2>$dir/up-res-err.$test || exitcode=$?
35 (echo "exit code: $exitcode";
39 exitcode=0
42 >$dir/down-res-out.$test 2>$dir/down-res-err.$test || exitcode=$?
44 (echo "exit code: $exitcode";
/openbmc/openbmc/poky/meta/recipes-support/attr/attr/
H A Drun-ptest5 exitcode=$?
6 if [ $exitcode -ne 0 -a -e test-suite.log ]; then
9 exit $exitcode
/openbmc/qemu/tests/tcg/multiarch/gdbstub/
H A Dfollow-fork-mode-parent.py12 exitcode = int(gdb.parse_and_eval("$_exitcode"))
13 report(exitcode == 0, "{} == 0".format(exitcode))
H A Dfollow-fork-mode-child.py36 exitcode = int(gdb.parse_and_eval("$_exitcode"))
37 report(exitcode == 42, "{} == 42".format(exitcode))
H A Dprot-none.py32 exitcode = int(gdb.parse_and_eval("$_exitcode"))
33 report(exitcode == 0, "{} == 0".format(exitcode))
H A Dcatch-syscalls.py49 exitcode = int(gdb.parse_and_eval("$_exitcode"))
50 report(exitcode == 0, "{} == 0".format(exitcode))
/openbmc/openbmc/poky/meta/recipes-support/attr/acl/
H A Drun-ptest12 exitcode=$?
13 if [ $exitcode -ne 0 -a -e test-suite.log ]; then
16 exit $exitcode
/openbmc/qemu/tests/functional/
H A Dtest_mem_addr_space.py49 self.assertEqual(self.vm.exitcode(), 1, "QEMU exit code should be 1")
66 self.assertEqual(self.vm.exitcode(), 1, "QEMU exit code should be 1")
134 self.assertEqual(self.vm.exitcode(), 1, "QEMU exit code should be 1")
161 self.assertEqual(self.vm.exitcode(), 1, "QEMU exit code should be 1")
181 self.assertEqual(self.vm.exitcode(), 1, "QEMU exit code should be 1")
255 self.assertEqual(self.vm.exitcode(), 1, "QEMU exit code should be 1")
293 self.assertEqual(self.vm.exitcode(), 1, "QEMU exit code should be 1")
/openbmc/linux/tools/memory-model/scripts/
H A Drunlitmushist.sh46 if test "$exitcode" -eq 124
49 elif test "$exitcode" -eq 253
53 exitmsg="failed, exit code $exitcode"
/openbmc/qemu/python/qemu/machine/
H A Dmachine.py76 def __init__(self, exitcode: Optional[int],
78 super().__init__(exitcode, command, output)
79 self.exitcode = exitcode
94 if self.exitcode is not None:
273 def exitcode(self) -> Optional[int]: member in QEMUMachine
424 exitcode = self.exitcode()
425 if (exitcode is not None and exitcode < 0
426 and not (self._user_killed and exitcode == -signal.SIGKILL)):
432 LOG.warning(msg, -int(exitcode), command)
462 exitcode=self.exitcode(),
/openbmc/linux/tools/testing/selftests/net/
H A Dudpgso_bench.sh21 local -r exitcode=$1
23 if [[ ${exitcode} -eq ${KSFT_PASS} ]]; then
25 elif [[ ${exitcode} -eq ${KSFT_SKIP} ]]; then
/openbmc/qemu/scripts/simplebench/
H A Dbench_write_req.py45 exitcode = subp.wait()
46 if exitcode < 0:
48 % (-exitcode, ' '.join(list(args))))
/openbmc/openbmc/poky/meta/recipes-kernel/lttng/babeltrace2/
H A Drun-ptest11 exitcode=$?
19 exit $exitcode
/openbmc/openbmc/poky/meta/lib/oeqa/core/
H A Dcase.py77 def ptest_section(self, section, duration = None, log = None, logfile = None, exitcode = None): argument
93 if exitcode is not None:
94 sections[section]["exitcode"] = exitcode
/openbmc/linux/tools/testing/selftests/mm/
H A Dva_high_addr_switch.sh11 exitcode=1
19 exit $exitcode
H A Dtest_vmalloc.sh17 exitcode=1
138 exit $exitcode
H A Duffd-common.h51 #define errexit(exitcode, fmt, ...) \ argument
54 exit(exitcode); \
H A Drun_vmtests.sh12 exitcode=0
223 exitcode=$ksft_skip
228 exitcode=1
393 exit $exitcode
/openbmc/openbmc/poky/meta/recipes-kernel/lttng/lttng-tools/
H A Drun-ptest35 exitcode=$?
45 exit $exitcode
/openbmc/openbmc/poky/bitbake/lib/bb/
H A Dprocess.py42 def __init__(self, command, exitcode, stdout = None, stderr = None): argument
44 self.exitcode = exitcode
58 " with exit code %s" % self.exitcode + message + (self.extra_message or ""))
/openbmc/qemu/tests/functional/qemu_test/
H A Dcmd.py35 _, stderr, exitcode = run_cmd(args)
37 exitcode = -1
40 if exitcode != 0:
/openbmc/linux/tools/testing/selftests/net/openvswitch/
H A Dopenvswitch.sh599 [ $all_skipped = true ] && [ $exitcode=$ksft_skip ] && exitcode=0
603 [ $all_skipped = true ] && exitcode=$ksft_skip
607 exitcode=1
615 exitcode=0
662 exit ${exitcode}
/openbmc/openbmc/poky/meta/lib/oeqa/utils/
H A Dlogparser.py139 exitcode = int(values["stat"])
140 if values["exit"] == "exited" and exitcode == LtpExitCode.TCONF:
143 elif exitcode == LtpExitCode.TPASS:
/openbmc/linux/samples/bpf/
H A Dxdp2skb_meta.sh35 local exitcode=$1
38 exit $exitcode

1234